<track id="vsnnr"><ruby id="vsnnr"><menu id="vsnnr"></menu></ruby></track>

  1. 更多>>網頁設計 Blog

    利用npm安裝vue時,提示:npm不是內部或外部命令,也不是可運行的程序或批處理文件

    本文講述了利用npm命令安裝軟件和node.js環境的安裝,并解決利用npm安裝vue時,提示:npm不是內部或外部命令,也不是可運行的程序或批處理文件的問題。

    我們打開 windows 的 cmd 命令行窗口,在使用 npm 命令安裝軟件時,報出如下錯誤:npm 不是內部或外部命令,也不是可運行的程序或批處理文件。

    如圖所示:

    2022-08-18_000002.png


    一、關于 npm 命令


    我們經??吹揭恍┸浖墓俜轿臋n教程,在安裝一些軟件時,需要用到 npm 命令進行安裝。

    而這些作者往往有一個通病,一上來就讓使用 npm 命令進行安裝。

    但是他們卻忽略了一個重要的前提,那就是 npm 命令是從哪來的,是電腦中自帶的么,根本不是。

    如果用戶的電腦中根本就沒有 npm 命令,你讓用戶怎么使用 npm 命令安裝你的軟件呢。


    二、下載 node.js 


    如果想要使用 npm 命令,首先需要安裝 node 環境。

    因為 npm 是 node 自帶的包管理工具,已經內置在了 node 中。


    node 官網地址:

    https://nodejs.org/en/


    node.js 下載地址:

    https://nodejs.org/en/download/


    node.js 歷史版本地址:

    https://nodejs.org/en/download/releases/


    需要說明的是,如果你的電腦是 win7 環境,那么建議安裝 <= v13 的 node 版本。

    因為 v13 的下個一版本 v14 不再支持 win7 系統了。

    而 v13 的最高版本則是 v13.14.0。


    如果你使用高于 v13 的版本,安裝時,則會彈出如下窗口:

    2022-08-18_000219.png


    根據筆者的使用經歷,如果使用 node-v13.14.0 版本,可能會報錯,錯誤如下:

    錯誤一:安裝完畢,會報出如下錯誤:

    npm WARN notsup Unsupported engine for postcss@8.4.16: wanted: {"node":"^10 || ^
    12 || >=14"} (current: {"node":"13.14.0","npm":"6.14.4"})

    錯誤二:使用 vue -V 查看版本號時,報出如下錯誤:

    You are using Node v13.14.0, but this version of @vue/cli requires Node ^12.0.0
    || >= 14.0.0.
    Please upgrade your Node version.

    所以本文建議使用 v12 的最高版本 v12.22.12 進行安裝。


    在歷史版本地址中,找到 v12 的最高版本進行下載,地址如下:

    https://nodejs.org/download/release/v12.22.12/


    如果你的電腦是64位系統,就下載 node-v12.22.12-x64.msi 下載地址:

    https://nodejs.org/download/release/v12.22.12/node-v12.22.12-x64.msi


    如果你的電腦是32位系統,就下載 node-v12.22.12-x86.msi 下載地址:

    https://nodejs.org/download/release/v12.22.12/node-v12.22.12-x86.msi


    三、安裝 node.js


    1、安裝

    雙擊 node-v12.22.12-x64.msi

    點擊 Next -> 勾選同意協議 -> 點擊 Next -> 選擇安裝路徑,如 D:\Program Files\nodejs\ -> 點擊 Next -> 點擊 Next -> 點擊 Next -> 點擊 Install -> 點擊 Finish

    安裝完成


    2、查看安裝結果

    查看 node.js 版本號:

    node -v

    查看 npm 版本號:

    npm -v

    如圖所示:

    2022-08-18_000345.png


    3、創建全局文件夾 node_global 和 node_cache

    找到 node 安裝路徑,如 D:\Program Files\nodejs 目錄下,

    全局包目錄:node_global

    全局包緩存目錄:node_cache


    4、設置環境變量

    我的電腦 -> 屬性 -> 高級系統設置 -> 環境變量:

    找到系統變量,找到 PATH -> 編輯 在后面追加:D:\Program Files\nodejs\node_global;

    點擊確定 -> 確定 -> 確定


    5、修改 npmrc 配置

    找到 node 安裝路徑,找到 npmrc 文件,如 D:\Program Files\nodejs\node_modules\npm 目錄下

    打開 npmrc 文件

    可以看到,默認配置如下:

    prefix=${APPDATA}\npm

    修改為如下配置:

    registry=https://registry.npm.taobao.org/
    prefix=D:\Program Files\nodejs\node_global
    cache=D:\Program Files\nodejs\node_cache
    strict-ssl=false


    四、安裝 vue-cli


    1、安裝

    啟動命令窗口,執行如下命令:

    npm install -g @vue/cli


    2、查看安裝結果

    查看 vue-cli 版本號:

    vue -V

    vue --version

    如圖所示:

    2022-08-18_000666.png


    【特別說明】

    如果還是提示:npm不是內部或外部命令,也不是可運行的程序或批處理文件,請啟動一個新的 cmd 命令行窗口查看。


    評論列表

    暫時沒有相關記錄

    發表評論

    用來接收審核回復提醒,請認真填寫

      換一張?
    captcha
    看不清?點擊圖片換一張
    黄色大片中文字欧美特片网_亚洲欧美国产图片视频_日韩黄色精品国产成人毛片_国产综合亚洲欧洲区
      <track id="vsnnr"><ruby id="vsnnr"><menu id="vsnnr"></menu></ruby></track>